Subject: Re: Eshell doesn't handle ANSI escapes/colors well

From: Thierry Volpiatto <[email-masked]>
Date: Sat, 29 May 2010 20:58:41 +0200

Chong Yidong <[email-masked]> writes:

>>> Eshell doesn't handle a terminal escape code like ^[.
>>>
>>> [~/emacs.20100501/lisp/eshell]$ export TERM=xterm-256color
>>> [~/emacs.20100501/lisp/eshell]$ *grep --color=auto ansi esh-*
>>> ^[[Kesh-mode.el^[[K^[[K:^[[K    eshell-handle-^[[Kansi^[[K-color
>>
>> This was working some time ago so maybe looking at what have changed and
>> reenable this feature should be good.
>
> No, this is not a regression.  The mess here is due to the ^[[K ("erase
> line") sequence that colorized grep emits.  (I don't know why it needs
> this control sequence.)
>
> There is no sane way for the ansi-color package to handle this.  Unlike
> term.el, it is not intended to be a terminal emulator.  The best we can
> do is to delete such sequences from the output, and I've committed a
> change to do that.

Yes, agree, i have already changed eshell for term for the emerge
command in anything-gentoo.

-- 
Thierry Volpiatto
Gpg key: http://pgp.mit.edu/